<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Visit_data_images;

class Visit_data extends Model
{
    use HasFactory;
    protected $table = "visit_data";

    protected $fillable = ['id ','fk_teammember_id', 'fk_visitor_id','action','remarks','follow_up_time','audio_file','location','created_at','updated_at','lat','lng'];

    public function Visit_data_images()
    {
        return $this->hasMany(Visit_data_images::class, 'fk_visit_id' , 'id');
    }
    public function visit_data_product()
    {
        return $this->hasMany(visit_data_product::class, 'fk_visit_data_id' , 'id');
    }
}
